%define	name	edb
%define	ver	1.0.2
%define	rel	2mdk
%define major 	1

Summary: Enlightenment Database Access Library
Name: %{name}
Version: %{ver}
Release: %{rel}
License: BSD
Group: System/Libraries
URL: http://www.enlightenment.org/efm.html
Source: ftp://ftp.enlightenment.org/enlightenment/%{name}-%{ver}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
Edb is a simple, clean high-level db access/storage library.

%package -n lib%{name}%{major}
Summary: Libraries for the Edb package.
Requires: %{name} = %{version}
Group: System/Libraries
Provides: %{name} = %{version}

%description -n lib%{name}%{major}
Libraries for Edb.

%package -n lib%{name}%{major}-devel
Summary: Enlightenment Database Access Library headers and development libraries.
Group: Development/Other
Requires: lib%{name}%{major} = %{ver}

%description -n lib%{name}%{major}-devel
Edb development headers and libraries.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%post -n lib%{name}%{major}
/sbin/ldconfig

%postun -n lib%{name}%{major}
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/edb_*
%doc AUTHORS
%doc COPYING
%doc README
%doc src/LICENSE

%files -n lib%{name}%{major}
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files -n lib%{name}%{major}-devel
%defattr(-,root,root)
%_libdir/libedb.so
%_libdir/libedb.*a
%{_includedir}/Edb.h
%{_bindir}/edb-config

%changelog
* Wed Jul 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-2mdk
- rebuild

* Tue Mar 13 2001 Geoffrey lee <snailtalk@mandrakesoft.com> 1.0.2-1mdk
- Shamelessly rip out the spec from the Imlib2 ftp.

